Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.client
Interface ResourceCallback<R extends ResourcePrototype>

Type Parameters:
  `R` - the type of resource

All Known Subinterfaces:
  TextResourceCallback

    public interface ResourceCallback<R extends ResourcePrototype>

A callback interface for asynchronous operations on resources.

Method Summary
`void` | `onError(ResourceException e)` Invoked if the asynchronous operation failed.
`void` | `onSuccess(R resource)` Invoked if the asynchronous operation was successfully completed.

Method Detail

### onError

    void onError(ResourceException e)

  Invoked if the asynchronous operation failed.

  Parameters:
    `e` - an exception describing the failure

### onSuccess

    void onSuccess(R resource)

  Invoked if the asynchronous operation was successfully completed.

  Parameters:
    `resource` - the resource on which the operation was performed

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD